Bug 471286 - Grid Statistics Job Activity Graphics doesn't update correctly
Grid Statistics Job Activity Graphics doesn't update correctly
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: cumin (Show other bugs)
1.1
All Linux
medium Severity medium
: 1.3
: ---
Assigned To: messaging-bugs
Jan Sarenik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-12 15:33 EST by William Henry
Modified: 2010-10-14 12:15 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, the box graphics did not always update correctly when the jobs were complete. Instead of removing boxes when jobs were completed other boxes turned green representing new running jobs. With this update, the user interface is changed and the graphics behave as expected.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-14 12:15:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William Henry 2008-11-12 15:33:41 EST
Description of problem:

I believe there is already a bug about the actually numeric statistics not updating correctly.

The bug I notice is that as jobs complete the box graphics don't update correctly. So instead of a box being removed as a job completes what happens is that other boxes turn green representing the new running jobs. So on a four slot machine it's possible to have >4 green boxes.   

However I never see this run up to more than six green boxes.  


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Justin Ross 2010-09-08 07:49:36 EDT
The slot viz is much changed, and afaik the behavior described here no longer occurs.
Comment 3 Jan Sarenik 2010-09-14 05:38:19 EDT
Verified on cumin-0.1.4279-1.el5

Both flash and GD/JavaScript versions tested on personal
Condor with 2 cores and multiple jobs running for minutes.
Comment 4 Florian Nadge 2010-10-07 05:35:40 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, the box graphics did not always update correctly when the jobs were complete. Instead of removing boxes when jobs were completed other boxes turned green representing new running jobs. With this update, the user interface is changed and the graphics behave as expected.
Comment 6 errata-xmlrpc 2010-10-14 12:15:06 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0773.html

Note You need to log in before you can comment on or make changes to this bug.